int main(int argc, char const *argv[]) {
    int i;
    switch ( i ) case 3 : i = 1;
    switch ( i ) default : i = 1;
    switch ( 3 )
      default:
      case 2:
      case 3:
	3;

    switch ( i ) {
    }

    switch ( i ) {
	int i;
      case 8~10:
      default:
	i = 3;
      case 3:
      case 'A' ... 'Z':
      case 5 ... 6:
      case 2, 4:
	i = 3;
	break;
    }

    choose ( i ) case 3 : i = 1;
    choose ( i ) default : i = 1;
    choose ( i ) {
	int i;
      case 3:
      case 'A' ... 'Z':
      case 5 ... 6:
      case 2, 4, 7:
	i = 3;
	fallthru;
      default:
	i = 3;
      case 8~10:
	fallthru
    }
}
